package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

@ApiModel
public class DrpSupplierComeAndGoPageVO {
   @ApiModelProperty("采购订单号")
   private String orderGoodsId;
   @ApiModelProperty("订单标题")
   private String orderTitle;
   @ApiModelProperty("入库数量")
   private BigDecimal totalIntoNum;
   @ApiModelProperty("订单总金额")
   private Long orderAmount;
   @ApiModelProperty("订单待付")
   private Long orderUnpaidAmount;
   @ApiModelProperty("订单已付")
   private Long orderPaidAmount;
   @ApiModelProperty("申请付款金额")
   private Long applyPayAmount;
   @ApiModelProperty("订单数量")
   private BigDecimal orderTotalNum;
   @ApiModelProperty("未入库数量")
   private BigDecimal unIntoTotalNum;
   @ApiModelProperty("退货数量")
   private BigDecimal refundTotalNum;
   @ApiModelProperty("申请退款金额")
   private Long applyRefundAmount;
   @ApiModelProperty("退款总金额")
   private Long refundTotalAmount;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("供应商")
   private String supplierName;
   @ApiModelProperty("制表人")
   private String crby;
   @ApiModelProperty("制表时间")
   private LocalDateTime crtime;
   @ApiModelProperty("期望送货日期")
   private LocalDate requestArrivalTime;
   @ApiModelProperty("供货地址")
   private String supplyAddress;
   @ApiModelProperty("仓库id")
   private Long warehouseId;
   @ApiModelProperty("仓库id")
   private String warehouseName;
   @ApiModelProperty("付款方式")
   private DrpOrderGoodsPayStyleVO payStyleVO;
   @ApiModelProperty("区域id")
   private Long areaId;
   @ApiModelProperty("区域名称")
   private String areaName;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("档口id")
   private String stallId;
   @ApiModelProperty("食堂名称")
   private String canteenName;
   @ApiModelProperty("档口名称")
   private String stallName;

   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public String getOrderTitle() {
      return this.orderTitle;
   }

   public BigDecimal getTotalIntoNum() {
      return this.totalIntoNum;
   }

   public Long getOrderAmount() {
      return this.orderAmount;
   }

   public Long getOrderUnpaidAmount() {
      return this.orderUnpaidAmount;
   }

   public Long getOrderPaidAmount() {
      return this.orderPaidAmount;
   }

   public Long getApplyPayAmount() {
      return this.applyPayAmount;
   }

   public BigDecimal getOrderTotalNum() {
      return this.orderTotalNum;
   }

   public BigDecimal getUnIntoTotalNum() {
      return this.unIntoTotalNum;
   }

   public BigDecimal getRefundTotalNum() {
      return this.refundTotalNum;
   }

   public Long getApplyRefundAmount() {
      return this.applyRefundAmount;
   }

   public Long getRefundTotalAmount() {
      return this.refundTotalAmount;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public LocalDate getRequestArrivalTime() {
      return this.requestArrivalTime;
   }

   public String getSupplyAddress() {
      return this.supplyAddress;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public String getWarehouseName() {
      return this.warehouseName;
   }

   public DrpOrderGoodsPayStyleVO getPayStyleVO() {
      return this.payStyleVO;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public String getStallId() {
      return this.stallId;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public String getStallName() {
      return this.stallName;
   }

   public void setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
   }

   public void setOrderTitle(final String orderTitle) {
      this.orderTitle = orderTitle;
   }

   public void setTotalIntoNum(final BigDecimal totalIntoNum) {
      this.totalIntoNum = totalIntoNum;
   }

   public void setOrderAmount(final Long orderAmount) {
      this.orderAmount = orderAmount;
   }

   public void setOrderUnpaidAmount(final Long orderUnpaidAmount) {
      this.orderUnpaidAmount = orderUnpaidAmount;
   }

   public void setOrderPaidAmount(final Long orderPaidAmount) {
      this.orderPaidAmount = orderPaidAmount;
   }

   public void setApplyPayAmount(final Long applyPayAmount) {
      this.applyPayAmount = applyPayAmount;
   }

   public void setOrderTotalNum(final BigDecimal orderTotalNum) {
      this.orderTotalNum = orderTotalNum;
   }

   public void setUnIntoTotalNum(final BigDecimal unIntoTotalNum) {
      this.unIntoTotalNum = unIntoTotalNum;
   }

   public void setRefundTotalNum(final BigDecimal refundTotalNum) {
      this.refundTotalNum = refundTotalNum;
   }

   public void setApplyRefundAmount(final Long applyRefundAmount) {
      this.applyRefundAmount = applyRefundAmount;
   }

   public void setRefundTotalAmount(final Long refundTotalAmount) {
      this.refundTotalAmount = refundTotalAmount;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setRequestArrivalTime(final LocalDate requestArrivalTime) {
      this.requestArrivalTime = requestArrivalTime;
   }

   public void setSupplyAddress(final String supplyAddress) {
      this.supplyAddress = supplyAddress;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setWarehouseName(final String warehouseName) {
      this.warehouseName = warehouseName;
   }

   public void setPayStyleVO(final DrpOrderGoodsPayStyleVO payStyleVO) {
      this.payStyleVO = payStyleVO;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setStallId(final String stallId) {
      this.stallId = stallId;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setStallName(final String stallName) {
      this.stallName = stallName;
   }


   public String toString() {
      String var10000 = this.getOrderGoodsId();
      return "DrpSupplierComeAndGoPageVO(orderGoodsId=" + var10000 + ", orderTitle=" + this.getOrderTitle() + ", totalIntoNum=" + String.valueOf(this.getTotalIntoNum()) + ", orderAmount=" + this.getOrderAmount() + ", orderUnpaidAmount=" + this.getOrderUnpaidAmount() + ", orderPaidAmount=" + this.getOrderPaidAmount() + ", applyPayAmount=" + this.getApplyPayAmount() + ", orderTotalNum=" + String.valueOf(this.getOrderTotalNum()) + ", unIntoTotalNum=" + String.valueOf(this.getUnIntoTotalNum()) + ", refundTotalNum=" + String.valueOf(this.getRefundTotalNum()) + ", applyRefundAmount=" + this.getApplyRefundAmount() + ", refundTotalAmount=" + this.getRefundTotalAmount() + ", supplierId=" + this.getSupplierId() + ", supplierName=" + this.getSupplierName() + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ", requestArrivalTime=" + String.valueOf(this.getRequestArrivalTime()) + ", supplyAddress=" + this.getSupplyAddress() + ", warehouseId=" + this.getWarehouseId() + ", warehouseName=" + this.getWarehouseName() + ", payStyleVO=" + String.valueOf(this.getPayStyleVO()) + ", areaId=" + this.getAreaId() + ", areaName=" + this.getAreaName() + ", canteenId=" + this.getCanteenId() + ", stallId=" + this.getStallId() + ", canteenName=" + this.getCanteenName() + ", stallName=" + this.getStallName() + ")";
   }
}
